Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	3.1.5
Release:	%mkrel 4
License:	GPL
Group:		Text tools
URL:		http://www.gnu.org/software/gawk/gawk.html
Source0:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}-ps.tar.bz2
Patch0:		gawk-3.1.3-getpgrp_void.patch
Patch1:		gawk-3.1.5-open.patch
Provides:	awk
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	byacc
Requires(pre):	info-install

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Books/Computer books

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b 1
%patch0 -p1 -b .getpgrp_void
%patch1 -p0 -b .open

%build
%configure
%make

%check
%make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall  bindir=%{buildroot}/bin
%find_lang %{name}

rm -f %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_datadir}
mkdir awk &&
for  i in *.awk;do
mv -f $i awk
done
cd %{buildroot}%{_mandir}
mkdir -p man1
for i in *;do
   mv -f $i man1 || true
done
cd man1
ln -sf gawk.1.bz2 awk.1.bz2
cd %{buildroot}%{_bindir}
ln -sf ../../bin/awk %{buildroot}%{_bindir}/awk
ln -sf ../../bin/gawk %{buildroot}%{_bindir}/gawk
mv %{buildroot}/bin/pgawk %{buildroot}%{_bindir}
rm -f %{buildroot}/bin/pgawk-%{version}



%post
%_install_info gawk.info

%preun
%_remove_install_info gawk.info

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libdir}/awk
%{_datadir}/awk

%files doc
%defattr(-,root,root)
%doc README FUTURES INSTALL LIMITATIONS NEWS
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps




%changelog
* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.1.5-4mdv2008.1
+ Revision: 150092
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.5-3mdv2007.0
+ Revision: 119957
- Import gawk

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-2mdk
- Update Requires
- Patch 1: awk was segfaulting when opening a non-existent file

* Thu Oct 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-1mdk
- 3.1.5
- Remove patch 1, no longer necessary
- Remove patches 2, 3 and 4, merged upstream

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.4-1mdk
- sync with fedora
- fix summary-ended-with-dot

* Fri Jun 11 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.3-3mdk
- really fix buildrequires

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-2mdk
- fix buildrequires

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-1mdk
- 3.1.3
- drop P0-P3
- sync with fedora:
	o patches P5-P9 fixes from gawk mailinglist
	o P10 fixes getpgrp_void problem (rh #114246)
- spec cosmetics

